> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# वैयक्तिकृत ट्रेंड्स

> प्रमाणीकृत उपयोगकर्ता के लिए व्यक्तिगत ट्रेंड्स प्राप्त करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

वैयक्तिकृत ट्रेंड्स एंडपॉइंट प्रमाणीकृत उपयोगकर्ता की लोकेशन और रुचियों के आधार पर उसके लिए अनुकूलित ट्रेंड्स लौटाता है।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="वैयक्तिकृत" icon="user">
    उपयोगकर्ता के अनुरूप ट्रेंड्स
  </Card>

  <Card title="स्थान-आधारित" icon="location-dot">
    उपयोगकर्ता के स्थान के आधार पर
  </Card>

  <Card title="रियल-टाइम" icon="bolt">
    मौजूदा ट्रेंडिंग विषय
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## एंडपॉइंट
</div>

| विधि | एंडपॉइंट                       | विवरण                            |
| :--- | :----------------------------- | :------------------------------- |
| GET  | `/2/users/personalized_trends` | वैयक्तिकृत ट्रेंड्स प्राप्त करें |

***

<div id="example-request">
  ## उदाहरण अनुरोध
</div>

```bash theme={null}
curl "https://api.x.com/2/users/personalized_trends" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

<div id="example-response">
  ## रिस्पॉन्स का उदाहरण
</div>

```json theme={null}
{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 125000
    },
    {
      "trend_name": "Machine Learning",
      "tweet_count": 85000
    }
  ]
}
```

***

<div id="getting-started">
  ## शुरुआत
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/hi/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) के माध्यम से उपयोगकर्ता एक्सेस टोकन
</Note>

<CardGroup cols={2}>
  <Card title="WOEID के आधार पर ट्रेंड्स" icon="globe" href="/hi/x-api/trends/trends-by-woeid/introduction">
    किसी विशिष्ट स्थान के लिए ट्रेंड्स प्राप्त करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/trends/personalized-trends">
    एंडपॉइंट का पूर्ण दस्तावेज़ीकरण
  </Card>
</CardGroup>
